[mit Lösung] Kodi 18 mit Amazon Prime - Wie genau?

  • Bei mir ist die "normale" Python-Version 2.7.5 installiert:

    Code
    1. sudo apt-cache policy python
    2. python:
    3. Installiert: 2.7.5-5ubuntu3
    4. Installationskandidat: 2.7.5-5ubuntu3
    5. Versionstabelle:
    6. *** 2.7.5-5ubuntu3 0
    7. 500 http://de.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
    8. 100 /var/lib/dpkg/status

    Hatte zwischenzeitlich die Version aus ppa:fkrull/deadsnakes-python2.7installiert, damit aber nur Probleme gehabt.

    Ich glaube die o.a. angeführte 2.7.5 wurde mit kodi18 mitinstalliert.

    MyVDR: yaVDR-Ansible - softhddevice-openglosd (ffmpeg 2.8) - epgd/epg2vdr - skindesigner estuary4vdr (adaptiert) - 1920x1080@50 Hz | kodi 18 - inputstream + amazon vod *broken*
    Aerocube M40 | 300W | ASRock H61M-GE | Intel G530 | Asus ENGT520 | 2 x TT-budget S2-3200 | ASRock Smart Remote (CIR) | 4 GB RAM | 120 GB SSD | 3 TB HDD

  • Sieht bei mir genauso aus.

    Die 2.7.5 kommt aus dem Ubuntu Repository und ist zu alt. In kodi.log kommt das:

    Code
    1. 18:44:23.570 T:140208427214592 ERROR: /var/lib/vdr/.kodi/addons/script.module.urllib3/lib/urllib3/util/ssl_.py:339: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
    2. SNIMissingWarning
    3. 18:44:23.570 T:140208427214592 ERROR: /var/lib/vdr/.kodi/addons/script.module.urllib3/lib/urllib3/util/ssl_.py:137: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
    4. InsecurePlatformWarning

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • Auf meinem Raspi mit Libreelec läuft auch kein Netflix mehr. Hat letzte Woche noch funktioniert.:-(

    Kann das jemand bestätigen?

    Code
    1. 19:40:31.149 T:1941234256 ERROR: GetDirectory - Error getting plugin://plugin.video.netflix/?action=video_list&type=continueWatching&video_list_id=...
    2. 19:40:31.151 T:1941234256 ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.netflix/?action=video_list&type=continueWatching&video_list_id=...) failed

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • Hatte diese Quelle fuer das Python update genommen

    sudo add-apt-repository ppa:fkrull/deadsnakes-python2.7

    Danach noch ein apt-get update und apt-get dist-upgrade und danach noch

    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 5BB92C09DB82666C

    Das ist der Schlüssel.

    Danach Python Version 2.7.5-5ubuntu3

    Hat bei mir gereicht in easyVDR 3.5 mit Kodi 18 Alpha um Amazon Prime zu schauen.

    Test_VDR: Digitainer 1 Gehäuse - AsRock N68C GS FX Board- Athlon II AM3+ X2 270 CPU - EVGA GT730 PCI-e HDMI LP passiv - DVBSky S2 952 Dual SAT - 1000GB W.D. Green HDD - LG GH22N30 S-ATA DVD - SMK RC6 MCE 50GB FB. an STM32 - EasyVDR 3.5.02 stable - Softhddevice Frontend - Kodi 17.6
    Clients: Hauppauge Media MVP Scart - VIP 1903Box - VIP 1910Box - EasyStream 0.6-18 fuer Windows - Raspberry PI B+ mit OpenElec 5.08 Kodi Helix 14.2 und Tsop31238 Lirc mit Conrad Promo8 FB on Code VCR 0104 - Raspi3 m.OpenElec 7.01 und Kodi 16.1

  • Hier gibt's python 2.7.14 fuer trusty --> klick mich!


    Im deadsnakes ppa gibt es anscheinend kein 2.7 mehr...


    Cheers,

    Ole

  • Mit der Version 0.12.8 funktioniert das Netflx Addon auch wieder.

    Läuft bei mir mit der separaten Python Installation(siehe https://kodi.wiki/view/HOW-TO:…thon_interpreter_on_Linux) auf yavdr. Ich habe die Pfade einfach in die /etc/init/kodi.conf eingetragen.

    Auf diese Weise muss man die Python-Installation des Systems nicht anfassen, was ja auch schon mal Probleme geben kann.

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • nasenbär kannst du etwas mehr ins Detail gehen was genau du getan hast. Braucht man Fonda unbedingt? Bei mir zuckt er schon rum das er den Befehl conda nicht kennt....

    VDR 1:
    Mainboard: Foxconn 45GM
    Prozessor: Core2Duo E6600
    Grafik: Geforce 210 Low Profile (passiv)
    DVB-Karte: Skystar HD/SkyStar HD 2
    Festplatten: 60 GB SSD als Boot/ 1 TB HDD als sdb gemountet als /srv
    Distri: Yavdr 0.6
    zusätzliche Pakete: yaepghd, istreamdev, Filezilla Client
    ----------------------------------------------------------------------
    VDR 2:


    Raspberry PI 512 MB
    16 GB SD Karte
    MLD 4 als Streamdev Client am VDR 1 für Gäste


    ------------------------------------------------------------------------


    (Linux ist ein System das durch Schmerz, Frust und Leid erlernt werden muss, aber wenn es einmal läuft macht es tierisch viel Spaß)

  • Hast Du das installiert zuvor?

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Genau, zuerst Miniconda installieren. In miniconda2/bin sind dann die ausführbaren Dateien(conda).

    Ganz wichtig ist dann noch:

    pip install pycryptodomex

    Hat bei mir immer über fehlendes cryptodome gemeckert, obwohl pycryptodome istalliert war.

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • Beim auführen von source activate kodi


    kommt leider:


    -bash: dirname: Befehl nicht gefunden


    kann wer was damit anfangen?

    VDR 1:
    Mainboard: Foxconn 45GM
    Prozessor: Core2Duo E6600
    Grafik: Geforce 210 Low Profile (passiv)
    DVB-Karte: Skystar HD/SkyStar HD 2
    Festplatten: 60 GB SSD als Boot/ 1 TB HDD als sdb gemountet als /srv
    Distri: Yavdr 0.6
    zusätzliche Pakete: yaepghd, istreamdev, Filezilla Client
    ----------------------------------------------------------------------
    VDR 2:


    Raspberry PI 512 MB
    16 GB SD Karte
    MLD 4 als Streamdev Client am VDR 1 für Gäste


    ------------------------------------------------------------------------


    (Linux ist ein System das durch Schmerz, Frust und Leid erlernt werden muss, aber wenn es einmal läuft macht es tierisch viel Spaß)

  • Moin

    Kann ich das unter yaVDR gefahrlos auch machen? Wird Kodi 18 drüber installiert und bleiben die Einstellungen und Datenbanken von 17 erhalten?

    Mein VDR: OrigenAE/Amisos X15e, ASUS A68HM-K A68H FM2+ mATX, AMD A4 5300, 4 GB DDR3, WD Green 1 TB, Nvidia GT 430 PCIe, KNC One DVB-C Karte, 7" TFT (GraphTFT, ohne Touch), irtrans-Empfänger + Harmony 300i, yaVDR 0.6.2, 32" Toshiba 32XV635D, 2.1 Boxen-Set Edifier C2 rev2, Kabelprovider Wilhelm Tell (ohne Grundverschlüsselung), 10 TB extern (USB) für Serien und Filme.
    Hinweis für Allergiker: Dieser Beitrag kann Spuren von Nüssen enthalten.

  • @Morpheus

    Mit

    Code
    1. apt-file search dirname

    bekommst du heraus, in welchem Paket die Datei steckt.

    Code
    1. coreutils: /usr/bin/dirname

    Dann einfach das Paket installieren.

    Code
    1. aptitude install coreutils

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • So ich bin jetzt schon mal ein Stück weiter oder auch nicht.


    Ich habe alles gemacht wie es in der Anleitung steht. Kodi startet aber trotzdem nicht...


    meine /etc/init/kodi.conf


    Code
    1. exec kodi --standalone --lircdev /var/run/lirc/lircd
    2. env PATH="/root/miniconda2/envs/kodi/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
    3. LD_LIBRARY_PATH="/root/miniconda2/envs/kodi/lib" kodi


    Die Kodi Log spuckt


    Code
    1. 13:26:42.397 T:139734489913088 WARNING: ActiveAE::Configure - sink returned large buffer of 249 ms, reducing to 100 ms
    2. 13:26:42.437 T:139734989244480 ERROR: X11 Error: No Display found
    3. 13:26:42.437 T:139734989244480 FATAL: CApplication::Create: Unable to init windowing system


    die Pfade sind eigentlich richtig.



    Vielen Dank im voraus

    VDR 1:
    Mainboard: Foxconn 45GM
    Prozessor: Core2Duo E6600
    Grafik: Geforce 210 Low Profile (passiv)
    DVB-Karte: Skystar HD/SkyStar HD 2
    Festplatten: 60 GB SSD als Boot/ 1 TB HDD als sdb gemountet als /srv
    Distri: Yavdr 0.6
    zusätzliche Pakete: yaepghd, istreamdev, Filezilla Client
    ----------------------------------------------------------------------
    VDR 2:


    Raspberry PI 512 MB
    16 GB SD Karte
    MLD 4 als Streamdev Client am VDR 1 für Gäste


    ------------------------------------------------------------------------


    (Linux ist ein System das durch Schmerz, Frust und Leid erlernt werden muss, aber wenn es einmal läuft macht es tierisch viel Spaß)

  • So startest du ja kodi zwei Mal, wird ja mit exec schon gestartet.

    Ich habe die Variablen vor dem exec eingefügt:

    Code
    1. end script
    2. env PATH="/var/lib/vdr/miniconda2/envs/kodi/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
    3. env LD_LIBRARY_PATH="/var/lib/vdr/miniconda2/envs/kodi/lib"
    4. export PATH
    5. export LD_LIBRARY_PATH
    6. exec kodi --standalone --lircdev /var/run/lirc/lircd

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6

  • Hi,

    Lässt sich denn X11 bei dir starten? Startx bei Ubuntu zumindest.

    MfG Stefan

    Test-VDR1: HP rp5700 Fertigsystem, Core2Duo E6400, 2GB RAM, FF-SD C-2300, nvidia Slim-GT218 x1 | easyVDR 2.0 64Bit
    VDR3: in Rente

    VDR4: MSI G31M2 v2, Digitainer2-Geh., t6963c 6" gLCD, E5200, 2GB, 3TB WD Red, GT730, 2x TT S2-3200; easyVDR 3.5 64bit
    VDR5: Gigabyte
    GA-G31M-S2L, Intel E2140, Zotac GT730 passiv, Digitainer2-Geh., t6963c 6 " gLCD, 2 TB WD Red, 2x TT S2-3200 (an 1 Kabel) easyVDR 3.5 64bit
    VDR6:
    Intel E5200, GT630 passiv, F1 750 GB, t6963c gLCD, 2x TT S2-3200 | easyVDR 3.5 64bit
    VDR-User #1068
    www.easy-vdr.de

  • Die Pfade sind nochmal angepasst. Nun startet schon mal Kodi.


    Netflix startet leider noch nicht. Kodi spuckt




    Hat bei mir immer über fehlendes cryptodome gemeckert

    wie haste das denn gelöst?



    MfG Morph

    VDR 1:
    Mainboard: Foxconn 45GM
    Prozessor: Core2Duo E6600
    Grafik: Geforce 210 Low Profile (passiv)
    DVB-Karte: Skystar HD/SkyStar HD 2
    Festplatten: 60 GB SSD als Boot/ 1 TB HDD als sdb gemountet als /srv
    Distri: Yavdr 0.6
    zusätzliche Pakete: yaepghd, istreamdev, Filezilla Client
    ----------------------------------------------------------------------
    VDR 2:


    Raspberry PI 512 MB
    16 GB SD Karte
    MLD 4 als Streamdev Client am VDR 1 für Gäste


    ------------------------------------------------------------------------


    (Linux ist ein System das durch Schmerz, Frust und Leid erlernt werden muss, aber wenn es einmal läuft macht es tierisch viel Spaß)

  • sudo pip install pycryptodomex

    CKone: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G540, 2x 2GB Kingston DDR3, Zotac GT630 1GB, S2-1600, Ocz Agility 3 60GB, LG GH24NS DVD, 15.6" Selbstbau TFT, Harmony 665, CIR Selbstbau - das Ganze im Silverstone SST-SG03B
    CKtwo: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G1610, 2x 2GB Corsair DDR3, Zotac GT630 1GB, TT S2-1600, Ocz Vertex 2 50 GB, 92 Kanal Seduatmo, Harmony 665, atric USB
    PowerEdge: Ubuntu Server 16.04 LTS / VDR 2.4.1 auf Dell PowerEdge T20, Xeon E3-1225 v3, 16GB ECC DDR3, 2x Cine S2 V6 mit Duoflex, Samsung 840 EVO 120GB, 3x WD Red WD30EFRX 3TB in SW Raid5

  • Hatte ich vorher schon gemacht. Hilft leider nix...

    VDR 1:
    Mainboard: Foxconn 45GM
    Prozessor: Core2Duo E6600
    Grafik: Geforce 210 Low Profile (passiv)
    DVB-Karte: Skystar HD/SkyStar HD 2
    Festplatten: 60 GB SSD als Boot/ 1 TB HDD als sdb gemountet als /srv
    Distri: Yavdr 0.6
    zusätzliche Pakete: yaepghd, istreamdev, Filezilla Client
    ----------------------------------------------------------------------
    VDR 2:


    Raspberry PI 512 MB
    16 GB SD Karte
    MLD 4 als Streamdev Client am VDR 1 für Gäste


    ------------------------------------------------------------------------


    (Linux ist ein System das durch Schmerz, Frust und Leid erlernt werden muss, aber wenn es einmal läuft macht es tierisch viel Spaß)

  • Du musst das aber innerhalb der miniconda Umgebung machen.

    Also:

    Code
    1. source activate kodi
    2. pip install pycryptodomex
    3. source deactivate

    VDR-Server: Gigabyte GA-G31MX-S2,Celeron 420, TT S2-4200, TT S2-1600
    e-tobi VDR 2.4.0
    VDR-Client: Antec Micro Fusion Remote, Asus M4N78-VM, AMD Athlon II X2 235e,
    Mystique SaTiX-S2 Sky Xpress DUAL(S952 V2)
    yavdr 0.6